Subject: Re: [PATCH] completion: fix incorrect bash/zsh string equality check

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Oct 2021 13:50:33 -0700

"Robert Estelle via GitGitGadget" <[email-masked]> writes:

>     This fixes an error in contrib/completion/git-completion.bash caused by
>     the incorrect use of == (vs. single =) inside a basic [/test command.
>     Double-equals == should only be used with the extended [[ comparison.

Curious.  

Would it be equally a valid fix to use "=" instead of "==", or would
that change the meaning?  This is a bash-only piece of code, so use
of [[ ... ]] is not technically incorrect, but if the basic [] works
well enough with "=", we should prefer that.

Thanks.